curl --request GET \
--url https://api.bigdata.com/contents/v1/documents \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/contents/v1/documents"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/contents/v1/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/contents/v1/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/contents/v1/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/contents/v1/documents")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/contents/v1/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "E0618D0E9D3A960C1731A620EDE56B5C",
"file_name": "Weekly summary report.pdf",
"user_id": "user_id_001",
"org_id": "org_id_001",
"rp_collection_id": "2CBDC7DA8AE42A8A078DECC3C9FCADFB",
"rp_source_id": "E5A77C",
"raw_size": 18974,
"pages": 50,
"request_origin": "email",
"content_type": "application/pdf",
"status": "completed",
"shared_with_orgs": [
"org_id_001"
],
"created_at": "2026-08-10T14:21:40.333178Z",
"updated_at": "2026-08-10T14:21:40.333181Z",
"published_at": "2026-08-10T12:00:00Z",
"connector_id": "019dbfd9-f1ea-7024-888d-e52af8c87b03",
"error_code": null,
"file_metadata": null,
"tags": [
{
"id": "019d448a-8511-75de-b5ff-9770fdf91d4b",
"name": "to:user1@email.com"
},
{
"id": "019e21c9-40c8-7857-ae52-a3b51c84108f",
"name": "from:user2@email.com"
}
],
"usage": {
"private_data_tokens": 171079
},
"enrichments_requested": [
"translation"
],
"enrichments_applied": []
}
]
}List documents
Returns a paginated list of documents that the user has uploaded or that have been shared with their organization. Use the query parameters documented below for filtering. Use the returned document id with Get document, Get annotated document, or Get original document to retrieve metadata or file content.
curl --request GET \
--url https://api.bigdata.com/contents/v1/documents \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/contents/v1/documents"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/contents/v1/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/contents/v1/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/contents/v1/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/contents/v1/documents")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/contents/v1/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "E0618D0E9D3A960C1731A620EDE56B5C",
"file_name": "Weekly summary report.pdf",
"user_id": "user_id_001",
"org_id": "org_id_001",
"rp_collection_id": "2CBDC7DA8AE42A8A078DECC3C9FCADFB",
"rp_source_id": "E5A77C",
"raw_size": 18974,
"pages": 50,
"request_origin": "email",
"content_type": "application/pdf",
"status": "completed",
"shared_with_orgs": [
"org_id_001"
],
"created_at": "2026-08-10T14:21:40.333178Z",
"updated_at": "2026-08-10T14:21:40.333181Z",
"published_at": "2026-08-10T12:00:00Z",
"connector_id": "019dbfd9-f1ea-7024-888d-e52af8c87b03",
"error_code": null,
"file_metadata": null,
"tags": [
{
"id": "019d448a-8511-75de-b5ff-9770fdf91d4b",
"name": "to:user1@email.com"
},
{
"id": "019e21c9-40c8-7857-ae52-a3b51c84108f",
"name": "from:user2@email.com"
}
],
"usage": {
"private_data_tokens": 171079
},
"enrichments_requested": [
"translation"
],
"enrichments_applied": []
}
]
}Authorizations
Query Parameters
Restrict to documents from this ingestion source: email (email connector), investment_research (broker / investment research connector), sharepoint (Microsoft SharePoint connector), or file_upload (direct upload via POST /documents).
email, investment_research, sharepoint, file_upload Response
Paginated list of documents matching the filters. The results array contains document metadata; use each document's id with Get annotated document or Get original document to retrieve file content.
Was this page helpful?